CPIO(1)

NOM
cpio — Archiver et extraire des fichiers

SYNOPSIS
cpio {-o|--create} [-0acvABLV] [-C OCTETS] [-H FORMAT] [-M MESSAGE] [-O [[UTILISATEUR@]HÔTE:]ARCHIVE] [-F [[UTILISATEUR@]HÔTE:]ARCHIVE] [--file=[[UTILISATEUR@]HÔTE:]ARCHIVE] [--format=FORMAT] [--message=MESSAGE] [--null] [--reset-access-time] [--verbose] [--dot] [--append] [--block-size=TAILLE_BLOC] [--dereference] [--io-size=NOMBRE] [--quiet] [--force-local] [--rsh-command=COMMANDE] < LISTE_NOMS [> ARCHIVE]

cpio {-i|--extract} [-bcdfmnrtsuvBSV] [-C OCTETS] [-E FICHIER] [-H FORMAT] [-M MESSAGE] [-R [UTILISATEUR][:.][GROUPE]] [-I [[UTILISATEUR@]HÔTE:]ARCHIVE] [-F [[UTILISATEUR@]HÔTE:]ARCHIVE] [--file=[[UTILISATEUR@]HÔTE:]ARCHIVE] [--make-directories] [--nonmatching] [--preserve-modification-time] [--numeric-uid-gid] [--rename] [--list] [--swap-bytes] [--swap] [--dot] [--unconditional] [--verbose] [--block-size=TAILLE_BLOC] [--swap-halfwords] [--io-size=NOMBRE] [--pattern-file=FICHIER] [--format=FORMAT] [--owner=[UTILISATEUR][:.][GROUPE]] [--no-preserve-owner] [--message=MESSAGE] [--force-local] [--no-absolute-filenames] [--sparse] [--only-verify-crc] [--to-stdout] [--quiet] [--rsh-command=COMMANDE] [MOTIF...] [< ARCHIVE]

cpio {-p|--pass-through} [-0adlmuvLV] [-R [UTILISATEUR][:.][GROUPE]] [--null] [--reset-access-time] [--make-directories] [--link] [--quiet] [--preserve-modification-time] [--unconditional] [--verbose] [--dot] [--dereference] [--owner=[UTILISATEUR][:.][GROUPE]] [--no-preserve-owner] [--sparse] RÉPERTOIRE_DESTINATION < LISTE_NOMS

cpio {-?|--help|--usage|--version}

SIGNALER DES BOGUES
Signaler les bogues de cpio à bug-cpio@gnu.org

Page d’accueil de GNU cpio : <http://www.gnu.org/software/cpio/>

Aide générale pour les logiciels GNU : <https://www.gnu.org/gethelp/>

Signaler les bogues de traduction de cpio à <http://translationproject.org/team/>

VOIR AUSSI
cpio(5)

DESCRIPTION
GNU cpio permet de copier des fichiers entre des archives et des répertoires. Il prend en charge les formats d’archive suivants : cpio binaire ancien, cpio portable ancien, cpio SVR4 avec ou sans somme de contrôle, cpio HP et divers formats de type tar.

Le type d’opération est défini à l’aide d’une des options suivantes :

-o, --create
    Archivage. Lecture d’une liste de noms de fichier sur l’entrée standard et création d’une archive contenant ces fichiers sur la sortie standard (sauf indication contraire à l’aide de l’option --file).

-i, --extract
    Extraction. Lecture d’une archive sur l’entrée standard (ou depuis le fichier spécifié à l’aide de l’option --file) et extraction des fichiers qu’elle contient ou (si l’option -t est spécifiée) listage de son contenu sur la sortie standard. Si un ou plusieurs motifs sont fournis, extraction ou listage des fichiers correspondant à ces motifs. L’option -t seule implique l’option -i.

-p, --pass-through
    Copie simple. Lecture d’une liste de noms de fichier sur l’entrée standard et copie de ces derniers vers le répertoire spécifié.

-?, --help
    Afficher une aide succincte et quitter.

--usage
    Afficher un bref message d’utilisation et quitter.

--version
    Afficher la version du programme et quitter

SIGNALER DES BOGUES
Signaler les bogues de cpio à bug-cpio@gnu.org

Page d’accueil de GNU cpio : <http://www.gnu.org/software/cpio/>

Aide générale pour les logiciels GNU : <https://www.gnu.org/gethelp/>

Signaler les bogues de traduction de cpio à <http://translationproject.org/team/>

OPTIONS

  Options valables dans tous les modes

--block-size=TAILLE_BLOC
    Définir la taille des blocs d’entrée/sortie à TAILLE_BLOC * 512 octets.

-B  Définir la taille des blocs d’entrée/sortie à 5120 octets.

-c  Utiliser le format d’archive cpio portable ancien (ASCII). Identique à l’option -H odc.

-C, --io-size=NOMBRE
    Définir la taille de bloc d’entrée/sortie à NOMBRE octets.

-D, --directory=RÉPERTOIRE
    Se positionner dans le RÉPERTOIRE spécifié.

--force-local
    Le fichier de l’archive est local, même s’il contient des deux-points « : ».

-H, --format=FORMAT
    Utiliser le FORMAT d’archive spécifié. Les formats valables sont (le nombre entre parenthèses indique la taille maximale pour chaque élément de l’archive) :

    bin Le format binaire obsolète (2147483647 octets).

    odc L’ancien format portable (POSIX.1) (8589934591 octets).

    newc
        Le nouveau format portable (SVR4) qui prend en charge les systèmes de fichiers comportant plus de 65536 inœuds (4294967295 octets).

    crc Le nouveau format portable (SVR4) avec somme de contrôle.

    tar L’ancien format tar (8589934591 octets).

    ustar
        Le format tar POSIX.1. Prend aussi en charge les archives GNU tar qui sont similaires, mais pas identiques (8589934591 octets).

    hpbin
        Le format binaire obsolète utilisé par la version HPUX de cpio (qui gère les fichiers de périphérique différemment).

    hpodc
        Le format portable utilisé par la version HPUX de cpio (qui gère les fichiers de périphérique différemment).

-R, --owner=[UTILISATEUR][:.][GROUPE]
    En mode extraction et copie simple, définir la propriété de tous les fichiers créés avec les UTILISATEUR et/ou GROUPE spécifiés. En mode archivage, enregistrer dans l’archive les informations de propriété spécifiées.

    L’UTILISATEUR et le GROUPE sont d’abord recherchés dans les bases de données des utilisateurs et des groupes du système. Si la recherche échoue, cpio regarde s’ils ne comportent que des chiffres décimaux, et si c’est le cas, les traite par conséquent comme des UID et GID numériques.

    Pour empêcher la recherche et s’assurer que les arguments sont traités comme des valeurs numériques, préfixez-les avec un signe plus ; par exemple : -R +0:+0.

--quiet
    Ne pas afficher le nombre de blocs copiés en fin d’exécution.

--rsh-command=COMMANDE
    Utiliser la COMMANDE distante à la place de rsh.

-v, --verbose
    Afficher une liste détaillée des fichiers traités.

-V, --dot
    Afficher un point « . » pour chaque fichier traité.

-W, --warning=AVERTISSEMENTS
    Cette fonction permet de spécifier les AVERTISSEMENTS à afficher. AVERTISSEMENTS peut être égal à none (aucun avertissement affiché), all (afficher tous les avertissements), truncate (afficher les avertissements à propos de la troncature de champ) ou no-truncate (ne pas afficher les avertissements à propos de la troncature).

    Les options -W multiples sont cumulatives.

  Options valables en mode extraction et archivage :

-F, --file=[[UTILISATEUR@]HÔTE:]FICHIER_ARCHIVE
    Utiliser le FICHIER_ARCHIVE spécifié à la place de l’entrée standard (en mode extraction) ou à la place de la sortie standard (en mode archivage). Les arguments optionnels UTILISATEUR et HÔTE permettent de spécifier les noms d’utilisateur et d’hôte dans le cas d’une archive distante.

-M, --message=CHAÎNE
    Afficher la CHAÎNE spécifiée lorsque la fin d’un volume du support de sauvegarde est atteinte.

  Options valables en mode extraction seulement :

-b, --swap
    Intervertir à la fois les demi-mots et les octets de demi-mot dans les données. Équivalent à -sS.

-f, --nonmatching
    Ne copier que les fichiers qui ne correspondent à aucun des motifs spécifiés.

-n, --numeric-uid-gid
    Dans l’affichage tabulaire du listage des contenus en mode prolixe, montrer les UID et GID numériques.

-r, --rename
    Renommer les fichiers en mode interactif.

-s, --swap-bytes
    Intervertir les octets de chaque demi-mot dans les fichiers.

-S, --swap-halfwords
    Intervertir les demi-mots de chaque mot (sur 4 octets) dans les fichiers

--to-stdout
    Extraire les fichiers sur la sortie standard.

-E, --pattern-file=FICHIER
    Lire depuis FICHIER des motifs supplémentaires spécifiant des noms de fichier à extraire ou à lister.

--only-verify-crc
    Lors de la lecture d’une archive au format CRC (« Cyclic Redundancy Check » — contrôle de redondance cyclique), vérifier seulement les CRC de chaque fichier de l’archive sans les extraire de cette dernière.

  Options valables en mode archivage seulement :

-A, --append
    Ajout à une archive existante.

--device-independent, --reproducible
    Créer des archives reproductibles. Équivalent à --ignore-devno --ignore-dirnlink --renumber-inodes.

--ignore-devno
    Inscrire 0 dans le champ numéro de périphérique de chaque élément de l’archive à la place du numéro de périphérique réel.

--ignore-dirnlink
    Inscrire 2 dans le champ nlink de chaque élément de type répertoire de l’archive à la place du nombre réel de liens.

-O [[UTILISATEUR@]HÔTE:]NOM_ARCHIVE
    Utiliser NOM_ARCHIVE à la place de la sortie standard. Les arguments optionnels UTILISATEUR et HÔTE permettent de spécifier les noms d’utilisateur et d’hôte dans le cas d’une archive distante.

    Le nom de l’archive en sortie peut être spécifié soit en utilisant cette option, soit en utilisant l’option -F (--file), mais pas les deux.

--renumber-inodes
    Renuméroter les inœuds lors de leur enregistrement dans l’archive.

  Options valables en mode copie simple seulement :

-l, --link
    Créer un lien pour les fichiers au lieu de les copier, quand c’est possible.

  Options valables en mode extraction et archivage :

--absolute-filenames
    Ne pas supprimer le chemin des noms de fichier. Il s’agit du comportement par défaut.

--no-absolute-filenames
    Faire que tous les fichiers créés soient relatifs au répertoire actuel.

  Options valables en mode archivage et copie simple

-0, --null
    Les noms de fichier de la liste sont séparés par des caractères NULL au lieu de l’être par des caractères nouvelle ligne.

-a, --reset-access-time
    Réinitialiser les dates d’accès des fichiers après les avoir lus.

-I [[UTILISATEUR@]HÔTE:]ARCHIVE
    Utiliser l’ARCHIVE spécifiée au lieu de l’entrée standard. Les arguments optionnels UTILISATEUR et HÔTE permettent de spécifier les noms d’utilisateur et d’hôte dans le cas d’une archive distante.

    Le nom de l’archive en entrée peut être spécifié en utilisant cette option ou l’option -F (--file), mais pas les deux.

-L, --dereference
    Déréférencement des liens symboliques (copier les fichiers vers lesquels ils pointent au lieu de copier les liens).

  Options valables en mode extraction et copie simple

-d, --make-directories
    Créer les répertoires racine lorsque nécessaire.

-m, --preserve-modification-time
    Conserver les dates de modification originelles lors de la création des fichiers.

--no-preserve-owner
    Ne pas modifier le propriétaire des fichiers.

--sparse
    Écrire les fichiers contenant de grands blocs de zéros sous forme de fichiers creux (« sparse files »).

-u, --unconditional
    Remplacer tous les fichiers inconditionnellement.

VALEUR RENVOYÉE
GNU cpio quitte en renvoyant 0 s’il a accompli l’opération demandée avec succès. En cas d’erreur, il quitte en renvoyant 2.

VOIR AUSSI
tar(1), rmt(8), mt(1).

SIGNALEMENTS DE BOGUES
Signaler toute erreur à <bug-cpio@gnu.org>.

COPYRIGHT
Copyright © 2014--2023 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.